Botan 1.10.17

Public Member Functions | List of all members
Botan::Algorithm_Factory::Engine_Iterator Class Reference

`#include <algo_factory.h>`

## Public Member Functions
| Engine_Iterator (const Algorithm_Factory &a)
Engine * | next ()

## Detailed Description

An iterator for the engines in this factory

Deprecated:
  Avoid in new code

Definition at line 190 of file algo_factory.h.

## Constructor & Destructor Documentation

## ◆ Engine_Iterator()

Botan::Algorithm_Factory::Engine_Iterator::Engine_Iterator | ( | const Algorithm_Factory & | a | ) |
| inline

Parameters

  a | an algorithm factory

Definition at line 201 of file algo_factory.h.

201 :
202 af(a) { n = 0; }

## Member Function Documentation

## ◆ next()

Engine* Botan::Algorithm_Factory::Engine_Iterator::next | ( |  | ) |
| inline

Returns
  next engine in the sequence

Definition at line 196 of file algo_factory.h.

Referenced by Botan::get_cipher(), Botan::PK_Decryptor_EME::PK_Decryptor_EME(), Botan::PK_Encryptor_EME::PK_Encryptor_EME(), Botan::PK_Key_Agreement::PK_Key_Agreement(), Botan::PK_Signer::PK_Signer(), and Botan::PK_Verifier::PK_Verifier().

196 { return af.get_engine_n(n++); }

The documentation for this class was generated from the following file:

- src/algo_factory/algo_factory.h